Subject: Re: bug#66706: [PATCH] Automatic elisp dialect insertion

From: Nikolay Kudryavtsev <[email-masked]>
Date: Thu, 26 Oct 2023 14:39:28 +0300

26.10.2023 11:32, Mattias Engdegård writes:
> If we had a modest pot of money, we could sponsor young and coming (or 
> old and going) programmers for converting code using dynamic binding 
> that is still in regular use.

Dynamic binding allows you to tweak some behavior when you have to 
conform to an existing API, even when it has not been properly designed 
to to support your use case. We just don't know how much 3rd party code 
uses it in this perfectly valid way and refactoring those mature API to 
support even some of the use cases like that may not be realistically 
doable or worth it in the first place.